Topic
  • 1 reply
  • Latest Post - ‏2007-10-04T10:35:59Z by SystemAdmin
SystemAdmin
SystemAdmin
260 Posts

Pinned topic From CTG for Multiplatforms V5.01 to CTG for z/OS V7.0: Migration issues

‏2007-09-24T12:12:37Z |
Due to several reasons, my organization is planning to migrate from [b]CICS Transaction Gateway for Multiplatforms V5.01[/b] (AIX platform) to [b]CICS Transaction Gateway for z/OS V7.0[/b]. My actual role in this project is to investigate the existence of any [u]migration issues[/u] regarding the several J2EE 1.4 applications which uses the current CTG infrastructure for CICS connectivity.

As far as I can understand the only migration issue exists on the update of the [u]CICS resource adapters (rar files)[/u]. Specifically, the J2EE 1.4 applications are currently hosted on a WAS ND 6.1 topology on AIX platform.

Am I right or there are several other migration issues which should be taken care of during the migration?
Updated on 2007-10-04T10:35:59Z at 2007-10-04T10:35:59Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    260 Posts

    Re: From CTG for Multiplatforms V5.01 to CTG for z/OS V7.0: Migration issues

    ‏2007-10-04T10:35:59Z  

    "Panayotis Havariotis" <havaripa@gr.ibm.com> wrote in message
    news:1231680986.1190635987780.JavaMail.wassrvr@ltsgwas010.sby.ibm.com...
    > Due to several reasons, my organization is planning to migrate from
    > [b]CICS Transaction Gateway for Multiplatforms V5.01[/b] (AIX platform) to
    > [b]CICS Transaction Gateway for z/OS V7.0[/b]. My actual role in this
    > project is to investigate the existence of any [u]migration issues[/u]
    > regarding the several J2EE 1.4 applications which uses the current CTG
    > infrastructure for CICS connectivity.
    >
    > As far as I can understand the only migration issue exists on the update
    > of the [u]CICS resource adapters (rar files)[/u]. Specifically, the J2EE
    > 1.4 applications are currently hosted on a WAS ND 6.1 topology on AIX
    > platform.
    >
    > Am I right or there are several other migration issues which should be
    > taken care of during the migration?
    >

    The CTG provides a comprehensive support policy that is documented here:
    http://www-306.ibm.com/software/htp/cics/ctg/reqs/ and provides the
    ability to allow interoperation of any version of WAS and CICS. Key to this
    is the ability to support communication between new levels of a remote CTG
    and an older CICS resource adatper. Which is explained here
    http://www-1.ibm.com/support/docview.wss?uid=swg21137783 all the CTG
    resource adapters are available to licensed users in supportpac CC03
    available here
    http://www-1.ibm.com/support/docview.wss?rs=1083&context=SSGMGV&context=SSZPSF&context=SSNQZF&q1=supportpac&uid=swg27007238&loc=en_US&cs=utf-8&lang=en

    If you are migrating to WAS V6.1 this is a J2EE 1.4 Java5 environment. You
    can run any supported level of resource adapter in this enviornment, but we
    would recommend at least CTG V7.0 for the best performance and
    functionality.

    Phil Wakelin, IBM Hursley